#!/bin/bash

cd ~
locationOfScript=$(dirname "$(readlink -e "$0")")
cd $locationOfScript



if ! zenity --question --text "Cifs Tools für SMB\!\n Dieses Script wird die Cifs-Tools installieren die benötigt werden um mit dem Fsstud eine Verbindung herzustellen.\!\nAußerdem wird ein Script zur leichten Verbindung erstellt."; then
  zenity --warning --text "Installation abgebrochen!";
  else
  zenity --info --text "Installation wird gestartet"
  sudo apt-get --yes --force-yes install cifs-utils
  mkdir ~/fsstud
  loginid=$( zenity --entry \
        --title="FSSTUD Installation" \
        --text="Wie lautet Ihre LoginID?
        " \
        --entry-text "")
  echo "#!/bin/bash
sudo mount -t cifs -o vers=3.0,username=$loginid,domain=ruhr-uni-bochum //fsstud.ruhr-uni-bochum.de/home/$loginid $HOME/fsstud
  " > ~/connect_fsstud.sh
  chmod +x ~/connect_fsstud.sh
  zenity --info --text "FSSTUD\!\nInstallation beendet\!\nIm Anschluss wird das Connect Script ( $HOME/connect_fsstud.sh) ausgeführt\.\n Nach einem Neustart kannst du dieses Script ausführen um dich mit dem FSSTUD zu Verbinden."


  cd $locationOfScript
  rm install.sh

  $HOME/connect_fsstud.sh

fi

